stages:
  - build
  - test
  - publish

bi:
  stage: build
  script:
    - echo "Building..."
  

run-unit-tests:
  stage: test
  rules:
    - if: $PIPELINE_ACTION == "syncThirdPartyList" || $PIPELINE_ACTION == "updateMmdb"
      when: never
    - if: $CI_COMMIT_MESSAGE =~ /^New release:.*$/
      when: never
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH || $CI_COMMIT_REF_NAME  == "staging"
  script:
    - echo "Running unit tests"
    
publish-coverage-report:
  stage: publish
  rules:
    - if: $PIPELINE_ACTION == "syncThirdPartyList" || $PIPELINE_ACTION == "updateMmdb"
      when: never
    - if: $CI_COMMIT_MESSAGE =~ /^New release:.*$/
      when: never
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH || $CI_COMMIT_REF_NAME  == "staging"
  dependencies:
    - run-unit-tests
  script:
    - echo "Publish coverage report"
